Page MenuHomeFreeBSD

Fix graphics/drawpile build, missing include.
ClosedPublic

Authored by adridg on Mar 20 2018, 2:46 PM.

Details

Summary

I don't know if this is because of my Qt version,
or clang, or newer CMake, though. Error message is in
the patch, and with the extra include it builds in
poudriere, amd64, 11.1.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

adridg created this revision.Mar 20 2018, 2:46 PM
adridg retitled this revision from Fix build, missing include. to Fix graphics/drawpile build, missing include..Mar 22 2018, 9:55 AM

It definitely is the CMake update, but it seems so random to need an extra include with a different CMake version. While this patch makes drawpile build, it deserves some extra investigation to find out why it is falling over.

This revision was not accepted when it landed; it landed in state Needs Review.Apr 2 2018, 8:12 PM
This revision was automatically updated to reflect the committed changes.
yuri added a comment.Apr 3 2018, 4:28 AM

It's strange that I've never received any fallout messages.

You also don't need to bump ​PORTREVISION for such patch.

You wouldn't get fallout messages: this is pre-emptive before we reach the point of an exp-run with CMake. I don't think you would get a fallout message from an exp-run, either. I'll try to keep PORTREVISION bumps down in future.